package com.example.iona.models;
// Generated Jun 9, 2020 9:03:23 PM by Hibernate Tools 4.3.5.Final

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * PositionLeave generated by hbm2java
 */
@Entity
@Table(name = "position_leave", schema = "public")
public class PositionLeave implements java.io.Serializable {

	private long positionLeaveId;
	private Positions positions;
	private Short maxLeaveDay;
	private String createdBy;
	private Date createdDate;
	private String updatedBy;
	private Date updatedDate;

	public PositionLeave() {
	}

	public PositionLeave(long positionLeaveId, Positions positions) {
		this.positionLeaveId = positionLeaveId;
		this.positions = positions;
	}

	public PositionLeave(long positionLeaveId, Positions positions, Short maxLeaveDay, String createdBy,
			Date createdDate, String updatedBy, Date updatedDate) {
		this.positionLeaveId = positionLeaveId;
		this.positions = positions;
		this.maxLeaveDay = maxLeaveDay;
		this.createdBy = createdBy;
		this.createdDate = createdDate;
		this.updatedBy = updatedBy;
		this.updatedDate = updatedDate;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "generator_position_leave_id_seq")
	@SequenceGenerator(name = "generator_position_leave_id_seq", sequenceName = "position_leave_id_seq", schema = "public", allocationSize = 1)
	@Column(name = "position_leave_id", unique = true, nullable = false)
	public long getPositionLeaveId() {
		return this.positionLeaveId;
	}

	public void setPositionLeaveId(long positionLeaveId) {
		this.positionLeaveId = positionLeaveId;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "position_id", nullable = false)
	public Positions getPositions() {
		return this.positions;
	}

	public void setPositions(Positions positions) {
		this.positions = positions;
	}

	@Column(name = "max_leave_day")
	public Short getMaxLeaveDay() {
		return this.maxLeaveDay;
	}

	public void setMaxLeaveDay(Short maxLeaveDay) {
		this.maxLeaveDay = maxLeaveDay;
	}

	@Column(name = "created_by", length = 50)
	public String getCreatedBy() {
		return this.createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "created_date", length = 13)
	public Date getCreatedDate() {
		return this.createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	@Column(name = "updated_by", length = 50)
	public String getUpdatedBy() {
		return this.updatedBy;
	}

	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "updated_date", length = 13)
	public Date getUpdatedDate() {
		return this.updatedDate;
	}

	public void setUpdatedDate(Date updatedDate) {
		this.updatedDate = updatedDate;
	}

}
